:root {
    --black: #000;
    --white: #ffffff;
    --darkred: #B6121A;
    --red: #ED1B25;
    --orange: #F47920;
    --orangeyellow: #FBAC17;
    --yellow: #FED504;
    --green: #B9D531;
    --darkgray: #1A1A1A;
    --darkblue: #0083A4;
    --blue: #00A9BA;
    --bluegreen: #6CC4A4;
}


/****************************
 Woocommerce Styles 
****************************/

/*Woocommerce General*/
.woocommerce-info{
    background-color: var(--yellow);
    color: var(--black);
}
.woocommerce-info::before, .woocommerce-info a{
    color: var(--black);
}
.woocommerce-info .btn-outline-primary{
    background-color: var(--black);
    color: var(--white);
}
.woocommerce ol li:before{
    display: none;
}

.woocommerce-page .wrapper{
    padding-top: 30px;
}

/* Hero Image */
.woocommerce .hero img{
    width: 100%;
    max-height: 160px;
    object-fit: cover;
}
/* Slider Plugin */
.wps-product-image img{
    min-height: 270px;
    object-fit: cover;
}
/* Single Product */
.single-product #woocommerce-wrapper{
    margin-top: 60px;
}
.woocommerce .onsale, .woocommerce .woocommerce-product-gallery__trigger{
    display: none;
}
.woocommerce .woocommerce-product-gallery img{
    padding: 5px;
}

/* price */
.woocommerce div.product .price-wrapper{
    margin: 60px 0 30px;
}
.woocommerce div.product p.price{
    font-weight: bold;
    font-size: 30px;
    margin-bottom: 0;
}
.woocommerce div.product p.price del{
    color: #999999;
    display: block;
    margin-bottom: 10px;
}
.woocommerce div.product p.price ins{
    color: #373737;
    display: block;
    text-decoration: none;
}
.woocommerce div.product .woocommerce-Price-amount{
    font-weight: bold;
}
.woocommerce-variation-price .price{
    display: none;
}

@media screen and (max-width:500px) {
	
	.woocommerce-variation-price .price{
    	display: block;
    	margin-bottom:16px;
	}
	
	.price-wrapper.grand-total {
		/*display:none;*/
	}

}

.price-wrapper.total .woocommerce-variation-price .price{
    display: inherit;
}
#product_total_price{
    display: none !important;
}
.product_totals{
    display: none;
}
.woocommerce div.product form.cart{
    margin-bottom: 15px;
    margin-top: 30px;
}
.woocommerce div.product .quantity, .woocommerce .quantity .qty{
    display: none !important;
}

.postid-2091 div.product .quantity, .postid-2091.woocommerce .quantity .qty {
	display:block !important;
	margin-right:12px;
}

.postid-2091 .form-control {
	border:1px solid red;
}


.woocommerce div.product .btn{
    margin-bottom: 15px;
}
.woocommerce div.product .btn.add-vehicle{
    width: 350px;
}
.woocommerce form.cart button.btn-red{
    background-color: var(--red) !important;
    border-radius: 0;
    padding: 20px 30px;
    margin-bottom: 0;
}
.woocommerce form.cart button.btn-red:hover{
    background-color: var(--black) !important;
}
.woocommerce div.product .admin-hidden-markup{
    display: none;
}
.woocommerce div.product .gform_heading{
    display: none;
}
.woocommerce div.product .gform-theme--foundation .gform-grid-row, 
.woocommerce div.product .gform-theme--foundation .gform_fields{
    row-gap: 16px;
}
.woocommerce div.product .vehicle-selector label{
    margin-bottom: 8px;
    font-weight: 500;
}
.woocommerce div.product .vehicle-selector label .gfield_required{
    margin-left: 3px;
}

.woocommerce div.product .vehicle-selector select,
.woocommerce div.product .ginput_container_text input{
    min-inline-size: 100% !important;
    max-inline-size: 100% !important;
}
.woocommerce div.product .vehicle-selected .title{
    font-weight: bold;
}

.woocommerce div.product .vin-field .input-wrapper{
    display: flex;
    align-items: center;
    margin-top: 10px;
}
.woocommerce div.product .vin-field .input-wrapper i{
    color: var(--darkred);
    margin-left: 5px;
}
.woocommerce div.product .vin-field .input-wrapper i:hover{
    color: var(--black);
}
.woocommerce div.product .woonp {
    display: block;
    margin-bottom: 30px;
}
.woocommerce div.product .woonp input{
    width: 100% !important;
}
.woocommerce div.product .woonp label, .woocommerce div.product .vehicle-selector label {
    font-family: "rig-sans", sans-serif !important;
    font-weight: 600 !important;
    font-style: normal !important;
    font-size: 18px !important;
    line-height: 28px !important;
    color: #1A1A1A !important;
    display: block;
}

/* Cart/Checkout */
.woocommerce .woocommerce-cart-form button.button{
    padding: .618em 1em !important;
}
.woocommerce .shop_table dl.variation table tr:nth-child(odd){
    background-color: transparent;
}
.woocommerce .shop_table dl dt{ 
    color: var(--black);
    font-size: 14px;
}
.woocommerce .shop_table td.product-name dl.variation dt{
    font-weight: bold;
    width: 100px;
    margin-right: 20px;
}

.woocommerce .variation{
    text-align: left;
}
.woocommerce dd.variation-Vehicle{
    float: none;
    clear: both;
    text-align: left;
}
.woocommerce dd.variation-Vehicle .item{
    display: flex;
    gap: 20px;
    /* font-size: 14px; */
}

.woocommerce dd.variation-Vehicle .item div:first-child{
    min-width: 100px;
    font-weight: bold;
}
@media (min-width: 768px) {
    .woocommerce dd.variation-Vehicle{
        margin-left: 30px;
    }
    .woocommerce .shop_table td:not(.product-name){
        width: 50px;
    }
}
.woocommerce .shop_table dl.variation dd.variation-Vehicle td{
    border:none;
    padding: 0 5px 0 0;
    word-break: break-all;
}

.woocommerce .shop_table dl.variation table{
    width: 100%;
}
.woocommerce .shop_table dl.variation tr td{
    text-align: left !important;
    max-width: 100px;
    background-color: transparent !important;
}
.woocommerce .shop_table dl.variation tr td::before{
    display: none;
}

.woocommerce .shop_table dl dd p, .woocommerce .shop_table dl dd div{
    font-size: 14px;
}
.woocommerce .shop_table dl.variation dd.variation-VIN{
    padding-top: 5px;
}
/* .woocommerce .shop_table dl.variation dd.variation-VIN p{
    font-size: 14px;
} */

.woocommerce .shop_table .product-name a{
    font-size: 20px;
}
.woocommerce-cart tr:last-child{
    border-bottom: none !important;
}
.woocommerce-cart [name="update_cart"], .woocommerce-cart .coupon label{
    display: none;
}
.woocommerce-cart .coupon{
    display: flex;
    gap: 10px;
    width: 100%;
    justify-content: flex-end;
}

.woocommerce-cart #coupon_code.input-text{
    width: 30% !important;
}



.woocommerce-checkout #payment{
    background-color: #eee;
    /* opacity: .5;  */
}
#add_payment_method #payment div.payment_box::before, .woocommerce-cart #payment div.payment_box::before, .woocommerce-checkout #payment div.payment_box::before{
    border-bottom-color: lightgray;
}
#add_payment_method #payment div.payment_box, .woocommerce-cart #payment div.payment_box, .woocommerce-checkout #payment div.payment_box{
    background-color: lightgray;
}

.woocommerce-checkout .woocommerce-form-coupon-toggle, .woocommerce-checkout .woocommerce-form-login-toggle{
    display: none;
}
.woocommerce-checkout .create-account{
    display: none;

}
.woocommerce-checkout .create-account label{
    color: var(--black);
}
.woocommerce-checkout tr:last-child{
    border-bottom: 0 !important;
}
@media (max-width: 768px) {
    .woocommerce-checkout dd.variation-Vehicle .item{
        display: block;
    }
}


/* Confirmation */
.woocommerce .woocommerce-order .woocommerce-column--billing-address, .woocommerce .woocommerce-order .woocommerce-column--shipping-address{
    max-width: 100%;
    padding: 0;
}
.woocommerce .wc-item-meta{ /*hide default*/
    display: none;
}
.woocommerce .custom-meta{
    font-weight: normal;

}
.woocommerce .custom-meta .meta-key{
    font-weight: bold;
}
.woocommerce .custom-meta .vehicle-meta{
    display: block;
    margin-left: 20px;
}

/* Shop Page */
.woocommerce ul.products li.product .price{
    color: var(--black);
}
.post-type-archive-product .product h2{
    line-height: 1.2;
}
.woocommerce h2.woocommerce-loop-product__title{
    line-height: 1.2;
}


/* My Account */
.list-group-item.active{
    background-color: var(--yellow);
    color: var(--black);
    border: none;
}
.woocommerce #wpsc-container h2, .woocommerce #wpsc-container h3, .woocommerce #wpsc-container h4{
    letter-spacing: 1px;
}
.woocommerce-MyAccount-content .woocommerce-columns--addresses .woocommerce-column {
    max-width: none;
}
/* Login */
.woocommerce .woocommerce-form-login .form-row{
    float: none;
    display: block;

}
.woocommerce .woocommerce-form-login .woocommerce-Input{
    /* height: 32px; */
}
